summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-08-03 08:44:08 +0200
committerMichał Górny <mgorny@gentoo.org>2020-08-03 09:03:02 +0200
commitff26c6f50799c8d5c1d3af9b3e8127f0db082bbe (patch)
tree28895d17aeb63a57a520812bb091847a4b759fa7 /dev-python/certifi
parentdev-util/meson-0.54.3: add *-macos, *-solaris keywords (diff)
downloadgentoo-ff26c6f50799c8d5c1d3af9b3e8127f0db082bbe.tar.gz
gentoo-ff26c6f50799c8d5c1d3af9b3e8127f0db082bbe.tar.bz2
gentoo-ff26c6f50799c8d5c1d3af9b3e8127f0db082bbe.zip
dev-python/certifi: Bump to 10001
Closes: https://bugs.gentoo.org/734988 Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/certifi')
-rw-r--r--dev-python/certifi/Manifest1
-rw-r--r--dev-python/certifi/certifi-10001.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/dev-python/certifi/Manifest b/dev-python/certifi/Manifest
index 283e3260e86..44ef0c13bda 100644
--- a/dev-python/certifi/Manifest
+++ b/dev-python/certifi/Manifest
@@ -1 +1,2 @@
+DIST certifi-shim-10001.tar.gz 4061 BLAKE2B 183c573b958921877b14e38e9e26842e8a4f1c1617979a30b65ef1e2bbf001e5ff0aab830e4399906a7d21fb3c71ac12b1e757e4d283aae16cced8e7de7c2a1d SHA512 93beea61e579b2b414bd37c63eba49365e0a1a62304e0c7ac920bedaf5d72cb095a4a46b2240b3c2e6ee31e5b91cd520ae8348b6a8033212d11bbca31db6750c
DIST certifi-shim-9999.tar.gz 3762 BLAKE2B 3ea85314e37a989d4894ea5fc89fb138e06c7912277f90466c6edb121c39f33b031bcc08346c4766c99fb193a2d53801aa1e8ef30cfede9a7e8247c7e443faef SHA512 ca2844f1680a019dbb5a440141d8ebaddd7c78ce47a23a48a50d2d857d012f90d74d4200168964787e31f16b1e9d7c981c033ff99f1e3ea1fa73cbbbf255edbd
diff --git a/dev-python/certifi/certifi-10001.ebuild b/dev-python/certifi/certifi-10001.ebuild
new file mode 100644
index 00000000000..11944fbf860
--- /dev/null
+++ b/dev-python/certifi/certifi-10001.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python2_7 python3_{6..9} pypy3 )
+
+inherit distutils-r1
+
+MY_P=certifi-shim-${PV}
+DESCRIPTION="Thin replacement for certifi using system certificate store"
+HOMEPAGE="
+ https://github.com/mgorny/certifi-shim
+ https://pypi.org/project/certifi"
+SRC_URI="
+ https://github.com/mgorny/certifi-shim/archive/v${PV}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="CC0-1.0"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="app-misc/ca-certificates"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ sed -i -e "s^/etc^${EPREFIX}/etc^" certifi/core.py || die
+ distutils-r1_src_prepare
+}